<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.base.mapper.DataTypeMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.base.model.DataType" >
    <id column="DATA_TYPE_ID" property="dataTypeId" jdbcType="BIGINT" />
    <result column="DATA_TYPE_CODE" property="dataTypeCode" jdbcType="VARCHAR" />
    <result column="JAVA_CLASS" property="javaClass" jdbcType="VARCHAR" />
    <result column="DATA_TYPE_NAME" property="dataTypeName" jdbcType="VARCHAR" />
    <result column="PARSE_CLASS" property="parseClass" jdbcType="VARCHAR" />
    <result column="PARSE_METHOD" property="parseMethod" jdbcType="VARCHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    DATA_TYPE_ID, DATA_TYPE_CODE, JAVA_CLASS, DATA_TYPE_NAME, PARSE_CLASS, PARSE_METHOD
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from data_type
    where DATA_TYPE_ID = #{dataTypeId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from data_type
    where DATA_TYPE_ID = #{dataTypeId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.base.model.DataType" >
    insert into data_type (DATA_TYPE_ID, DATA_TYPE_CODE, JAVA_CLASS, 
      DATA_TYPE_NAME, PARSE_CLASS, PARSE_METHOD
      )
    values (#{dataTypeId,jdbcType=BIGINT}, #{dataTypeCode,jdbcType=VARCHAR}, #{javaClass,jdbcType=VARCHAR}, 
      #{dataTypeName,jdbcType=VARCHAR}, #{parseClass,jdbcType=VARCHAR}, #{parseMethod,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.base.model.DataType" >
    insert into data_type
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="dataTypeId != null" >
        DATA_TYPE_ID,
      </if>
      <if test="dataTypeCode != null" >
        DATA_TYPE_CODE,
      </if>
      <if test="javaClass != null" >
        JAVA_CLASS,
      </if>
      <if test="dataTypeName != null" >
        DATA_TYPE_NAME,
      </if>
      <if test="parseClass != null" >
        PARSE_CLASS,
      </if>
      <if test="parseMethod != null" >
        PARSE_METHOD,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="dataTypeId != null" >
        #{dataTypeId,jdbcType=BIGINT},
      </if>
      <if test="dataTypeCode != null" >
        #{dataTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="javaClass != null" >
        #{javaClass,jdbcType=VARCHAR},
      </if>
      <if test="dataTypeName != null" >
        #{dataTypeName,jdbcType=VARCHAR},
      </if>
      <if test="parseClass != null" >
        #{parseClass,jdbcType=VARCHAR},
      </if>
      <if test="parseMethod != null" >
        #{parseMethod,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.base.model.DataType" >
    update data_type
    <set >
      <if test="dataTypeCode != null" >
        DATA_TYPE_CODE = #{dataTypeCode,jdbcType=VARCHAR},
      </if>
      <if test="javaClass != null" >
        JAVA_CLASS = #{javaClass,jdbcType=VARCHAR},
      </if>
      <if test="dataTypeName != null" >
        DATA_TYPE_NAME = #{dataTypeName,jdbcType=VARCHAR},
      </if>
      <if test="parseClass != null" >
        PARSE_CLASS = #{parseClass,jdbcType=VARCHAR},
      </if>
      <if test="parseMethod != null" >
        PARSE_METHOD = #{parseMethod,jdbcType=VARCHAR},
      </if>
    </set>
    where DATA_TYPE_ID = #{dataTypeId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.base.model.DataType" >
    update data_type
    set DATA_TYPE_CODE = #{dataTypeCode,jdbcType=VARCHAR},
      JAVA_CLASS = #{javaClass,jdbcType=VARCHAR},
      DATA_TYPE_NAME = #{dataTypeName,jdbcType=VARCHAR},
      PARSE_CLASS = #{parseClass,jdbcType=VARCHAR},
      PARSE_METHOD = #{parseMethod,jdbcType=VARCHAR}
    where DATA_TYPE_ID = #{dataTypeId,jdbcType=BIGINT}
  </update>
</mapper>